org.eclipse.rdf4j.http.protocol.transaction.operations

## Class SetNamespaceOperation

- java.lang.Object
- - org.eclipse.rdf4j.http.protocol.transaction.operations.SetNamespaceOperation

- All Implemented Interfaces:
    Serializable, TransactionOperation

      public class SetNamespaceOperation
      extends Object
      implements TransactionOperation, Serializable

  Operation that sets the namespace for a specific prefix.
  Author:
    Arjohn Kampman, Leo Sauermann
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetNamespaceOperation()`
    `SetNamespaceOperation(String prefix, String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `void` | `execute(RepositoryConnection con)` Executes this operation on the supplied connection.
    `String` | `getName()`
    `String` | `getPrefix()`
    `int` | `hashCode()`
    `void` | `setName(String name)`
    `void` | `setPrefix(String prefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetNamespaceOperation

          public SetNamespaceOperation()

    - #### SetNamespaceOperation

          public SetNamespaceOperation(String prefix,
                                       String name)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getPrefix

          public String getPrefix()

    - #### setPrefix

          public void setPrefix(String prefix)

    - #### execute

          public void execute(RepositoryConnection con)
                       throws RepositoryException

      Description copied from interface: `TransactionOperation`
      Executes this operation on the supplied connection.
      Specified by:
        `execute` in interface `TransactionOperation`
      Parameters:
        `con` - The connection the operation should be performed on.
      Throws:
        `RepositoryException` - If such an exception is thrown by the connection while executing the operation.

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.